Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0038599
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Modules] Advance Warehouse Operationscriticalalways2018-05-22 18:322018-06-18 09:58
ReporterdmiguelezView Statuspublic 
Assigned Toguilleaer 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision14df8fa5237c
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Regression date
Regression introduced by commit
Regression level
Review Assigned Tomarvintm
Regression introduced in release
Summary

0038599: Not possible to log in AWO Front End if an attribute value has '/n'

DescriptionNot possible to log in AWO Front End if an attribute value has '/n'

The attribute value should not have this value, however, this should be also controlled in AWO FE, if not, the application can be broken
Steps To ReproduceWith AWO and AWO SampleData installed

Go to Goods Receipt Window and create a record with:
  * Organization: US West Coast
  * Business Partner: Be Soft Drinker
  * Warehouse: US West Coast
Move to lines and create a new one with:
  * Product: Apple
  * Operative Quantity: 10
  * Attribute Set Value:
    - First, click on the X to remove existing attribute
    - Create a new one with: 'Test [Enter]'. By clicking on enter it will introduce a '\n' character
Complete the Document

Go to Warehouse Operations Window and select the previously created Stock
Click on Put-Away and assign it to Openbravo

Log in the Front-End with Openbravo.
A Json Error is thrown and it is not possible to log in the application
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0038751 closedguilleaer Modules [AWOFE] obawo_getjsondescription PLSQL function is already in core. Use it and remove from awo module 
related to defect 0038757 newAtulOpenbravo Openbravo ERP Strange characters like "line break" are being accepted as attribute value 

-  Notes
(0105125)
hgbot (developer)
2018-06-13 13:41

Repository: erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations
Changeset: 3f5b8647c2f40875a09263b6686d4466434c9cf7
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Wed Jun 13 13:41:32 2018 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations/rev/3f5b8647c2f40875a09263b6686d4466434c9cf7 [^]

Fixed issue 38599: JSON not valid characters are escaped or encoded for att values

---
M src-db/database/model/functions/OBAWO_GETJSONDESCRIPTION.xml
---
(0105127)
guilleaer (developer)
2018-06-13 15:20

backouted
(0105130)
hgbot (developer)
2018-06-13 16:53

Repository: erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations
Changeset: 14df8fa5237c719d570e43c7ec10eae3846e2c0b
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Wed Jun 13 16:53:26 2018 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations/rev/14df8fa5237c719d570e43c7ec10eae3846e2c0b [^]

Fixed issue 38599: Fixed translation problems between xml & PLSQL

---
M src-db/database/model/functions/OBAWO_GETJSONDESCRIPTION.xml
---
(0105146)
hgbot (developer)
2018-06-14 16:15

Repository: erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations.sampledata
Changeset: d80e388e07d127834ece94740c8849d45f5dffbc
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Thu Jun 14 15:52:33 2018 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations.sampledata/rev/d80e388e07d127834ece94740c8849d45f5dffbc [^]

Related to issue 38599: Add test case to ensure that special characters are escaped by getjsondescription

---
M referencedata/sampledata/AWO_QA/M_ATTRIBUTEINSTANCE.xml
M referencedata/sampledata/AWO_QA/M_ATTRIBUTESETINSTANCE.xml
---
(0105148)
hgbot (developer)
2018-06-14 17:38

Repository: erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations
Changeset: 1a35877211c98fb819a29e2e5193e3703df1dd83
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Thu Jun 14 17:38:26 2018 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations/rev/1a35877211c98fb819a29e2e5193e3703df1dd83 [^]

Related to issue 38599, 38751: Add tests for issue 38599. Use core function (issue 38751)

---
M src-test/org/openbravo/warehouse/advancedwarehouseoperations/test/AWOo_JsonDescription.java
---

- Issue History
Date Modified Username Field Change
2018-05-22 18:32 dmiguelez New Issue
2018-05-22 18:32 dmiguelez Assigned To => dmiguelez
2018-05-22 19:00 dmiguelez Assigned To dmiguelez => guilleaer
2018-06-13 13:41 hgbot Checkin
2018-06-13 13:41 hgbot Note Added: 0105125
2018-06-13 13:41 hgbot Status new => resolved
2018-06-13 13:41 hgbot Resolution open => fixed
2018-06-13 13:41 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations/rev/3f5b8647c2f40875a09263b6686d4466434c9cf7 [^]
2018-06-13 15:20 guilleaer Relationship added related to 0038751
2018-06-13 15:20 guilleaer Note Added: 0105127
2018-06-13 15:20 guilleaer Status resolved => new
2018-06-13 15:20 guilleaer Resolution fixed => open
2018-06-13 16:53 hgbot Checkin
2018-06-13 16:53 hgbot Note Added: 0105130
2018-06-13 16:53 hgbot Status new => resolved
2018-06-13 16:53 hgbot Resolution open => fixed
2018-06-13 16:53 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations/rev/3f5b8647c2f40875a09263b6686d4466434c9cf7 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations/rev/14df8fa5237c719d570e43c7ec10eae3846e2c0b [^]
2018-06-14 11:10 guilleaer Relationship added related to 0038757
2018-06-14 16:15 hgbot Checkin
2018-06-14 16:15 hgbot Note Added: 0105146
2018-06-14 17:38 hgbot Checkin
2018-06-14 17:38 hgbot Note Added: 0105148
2018-06-18 09:58 marvintm Review Assigned To => marvintm
2018-06-18 09:58 marvintm Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker